LANMAP(8)

NAME
lanmap — A program that passively listens for any activity on your network connection, and creates an image of the network components it managed to discover

SYNOPSIS

lanmap [-o directory] [-e program] [-T {png,gif,svg}] [-f filter] [-D {#,all,raw}] [-r seconds] [-i {?,*wildcard*,iface}] [-h] [-v] [-V]

DESCRIPTION

This manual page documents briefly the lanmap command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

lanmap listens on one network interface and produces an image of what it sees.

OPTIONS

-o directory
    The directory in which to save the generated images. Default is the current directory.

-e program
    The program to use to generate images. Default is 'twopi'.

-T {png,gif,svg}
    Output image format. Default is 'png'.

-f filter
    Traffic filter, in libpcap syntax.

-D {#,all,raw}
    Debug mode; lots of output, use with caution. #: payload bytes to dump (default: 0)

-r seconds
    Set the time interval between 2 consecutive graph generations. Default is 60 seconds.

-i {?,*wildcard*,iface}
    Interface to use: "all" for all ?: list all devices and exit *3Com*: use the first NIC with "3Com" in it

-V  Version info.

-vv Verbose mode, up to 3 levels (-vv, -vvv).

-h  Help message.

EXAMPLES

lanmap -i eth0 -r 30 -T png -o /tmp/

AUTHOR

This manual page was written by Sebastien Delafond for the Debian GNU/Linux system (but may be used by others).

This manual page is (c) 2006 of Sebastien Delafond and licensed under the terms of the GPLv2 or higher